Bug 141565 - Page numbers in Devanagari disappear after saving and reopening document
Summary: Page numbers in Devanagari disappear after saving and reopening document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.3.6
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-08 15:41 UTC by Frank Ziesing
Modified: 2022-07-30 14:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Ziesing 2021-04-08 15:41:54 UTC
Description:
1st check Complex Text Layout, Hindi
Type your text in Devanagari (in my case in Sanskrit)
Insert page numbers via insert and choose Devanagari numbers. Works fine.
Save and close document. Reopen document(in 7.1): numbers are gone!, (in 6.4): numbers are changed to Farsi numbers.

Steps to Reproduce:
1. Check Complex Text Layout, Hindi
2. Insert page numbers via insert and choose Devanagari numbers.
3. Save and close document.
4. Reopen document, numbers are gone.

Actual Results:
in LibreOffice 6.4 numbers changed to Farsi numbers
in 7.1 numbers change to something else, a rectangular shows for some unused script. 

Expected Results:
Devanagari page numbers should remain after save and reopen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.1.2 (x64) / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: CL
Comment 1 Dieter 2021-04-25 05:05:11 UTC
Frank, I would try to reproduce the bug, but I don't know which page number format is Devanagari. Perhaps you can add a screenshot of the fields dialog, whre the format is highlighted?
Comment 2 Buovjaga 2022-04-07 15:47:20 UTC
I don't reproduce. Could you re-test with an up-to-date version?

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 55b20c8781d7718fa992769df90282563694f7fe
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded Jumbo
Comment 3 Eike Rathke 2022-07-11 13:20:58 UTC
Wrong numbering list style stored for Devanagari,
style:num-format="۱, ۲, ۳, ..."
which is the Farsi list. Same cause as hinted by
https://ask.libreoffice.org/t/devanagari-numbered-lists/79398
Taking.
Comment 4 Commit Notification 2022-07-11 14:50:19 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dbef922b7ac63c56bd534c1475790198a64131b1

Resolves: tdf#141565 Correct character sequence for Devanagari unique ID

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2022-07-11 14:52:01 UTC
Pending review
https://gerrit.libreoffice.org/c/core/+/136932 for 7-4
https://gerrit.libreoffice.org/c/core/+/136931 for 7-3
Comment 6 Commit Notification 2022-07-11 22:59:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/8309137f138edc43a02e69ff120839c2c23e45c2

Resolves: tdf#141565 Correct character sequence for Devanagari unique ID

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-07-11 23:00:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/17806035b80a30a91bcb8b8bc86075e08f9aed9a

Resolves: tdf#141565 Correct character sequence for Devanagari unique ID

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.